Docs
Api reference

Auth

POST
/api/login

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/login" \  -H "Content-Type: application/json" \  -d '{}'
{  "token": "string",  "user": {    "id": "string",    "email": "string",    "name": "string"  }}
POST
/api/signup

Allows a new restaurant to register and receive a JWT token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/signup" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]",    "password": "stringst"  }'
{  "success": true,  "token": "string",  "user": {    "id": 0,    "email": "string",    "name": "string",    "role": "string",    "onboarded": true  }}
POST
/api/platform/signup/business

Allows a new reseller business owner to register an unpaid account.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/platform/signup/business" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "slug": "string",    "ownerEmail": "[email protected]",    "ownerPassword": "stringst"  }'
{  "success": true,  "token": "string",  "user": {    "id": 0,    "email": "string",    "name": "string",    "role": "string",    "scope": "string"  }}
POST
/api/auth/handoff/exchange

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/auth/handoff/exchange" \  -H "Content-Type: application/json" \  -d '{    "code": "string"  }'
{  "token": "string",  "user": {    "id": "string",    "email": "string",    "name": "string",    "role": "string",    "scope": "string",    "businessId": 0,    "onboarded": true  }}
POST
/api/auth/handoff

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/auth/handoff" \  -H "Content-Type: application/json" \  -d '{}'
{  "code": "string",  "redirectUrl": "string",  "dashboardUrl": "string"}